curl
curl --request GET \
--url 'https://example.algolia.net/agent-studio/1/agents/lorem/conversations/export?startDate=lorem&endDate=lorem' \
--header 'accept: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'// Initialize the client
var client = new AgentStudioClient(
new AgentStudioConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
);
// Call the API
var response = await client.GetConversationAsync(
"test-conversation-id",
"76710f1b-8231-42e5-b0d1-f43aac618e15"
);
// print the response
Console.WriteLine(response);// Initialize the client
final client = AgentStudioClient(
appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
final response = await client.getConversation(
conversationId: "test-conversation-id",
agentId: "76710f1b-8231-42e5-b0d1-f43aac618e15",
);
// print the response
print(response);// Initialize the client
client, err := agentStudio.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.GetConversation(client.NewApiGetConversationRequest(
"test-conversation-id", "76710f1b-8231-42e5-b0d1-f43aac618e15"))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
AgentStudioClient client = new AgentStudioClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
ConversationFullResponse response = client.getConversation("test-conversation-id", "76710f1b-8231-42e5-b0d1-f43aac618e15");
// print the response
System.out.println(response);// Initialize the client
const client = agentStudioClient('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
const response = await client.getConversation({
conversationId: 'test-conversation-id',
agentId: '76710f1b-8231-42e5-b0d1-f43aac618e15',
});
// print the response
console.log(response);// Initialize the client
val client = AgentStudioClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
var response =
client.getConversation(
conversationId = "test-conversation-id",
agentId = "76710f1b-8231-42e5-b0d1-f43aac618e15",
)
// print the response
println(response)// Initialize the client
$client = AgentStudioClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$response = $client->getConversation(
'test-conversation-id',
'76710f1b-8231-42e5-b0d1-f43aac618e15',
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use AgentStudioClient instead, which exposes the exact same methods.
client = AgentStudioClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.get_conversation(
conversation_id="test-conversation-id",
agent_id="76710f1b-8231-42e5-b0d1-f43aac618e15",
)
# print the response
print(response)# Initialize the client
client = Algolia::AgentStudioClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.get_conversation("test-conversation-id", "76710f1b-8231-42e5-b0d1-f43aac618e15")
# print the response
puts(response)// Initialize the client
val client = AgentStudioClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
val response = Await.result(
client.getConversation(
conversationId = "test-conversation-id",
agentId = "76710f1b-8231-42e5-b0d1-f43aac618e15"
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try AgentStudioClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
let response = try await client.getConversation(
conversationId: "test-conversation-id",
agentId: "76710f1b-8231-42e5-b0d1-f43aac618e15"
)
// print the response
print(response){
"agentId": "<string>",
"createdAt": "<string>",
"id": "<string>",
"messages": [
{
"conversationId": "<string>",
"createdAt": "<string>",
"id": "<string>",
"parts": [
{
"text": "<string>",
"type": "text"
}
],
"updatedAt": "<string>",
"inputTokens": 123,
"model": "<string>",
"outputTokens": 123,
"turnContext": {}
}
],
"updatedAt": "<string>",
"conversationMetadata": {
"cachedAt": "<string>"
},
"feedback": [
{
"agentId": "<string>",
"createdAt": "<string>",
"id": "<string>",
"messageId": "<string>",
"tags": [
"<string>"
],
"updatedAt": "<string>",
"vote": 123,
"model": "<string>",
"notes": "<string>"
}
],
"isFromDashboard": false,
"lastActivityAt": "<string>",
"messageCount": 0,
"title": "<string>",
"totalInputTokens": 0,
"totalOutputTokens": 0,
"totalTokens": 0,
"userToken": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Conversations
Get Conversation
Retrieves the conversation and its messages for the given ID.
GET
/
1
/
agents
/
{agentId}
/
conversations
/
{conversationId}
curl
curl --request GET \
--url 'https://example.algolia.net/agent-studio/1/agents/lorem/conversations/export?startDate=lorem&endDate=lorem' \
--header 'accept: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'// Initialize the client
var client = new AgentStudioClient(
new AgentStudioConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
);
// Call the API
var response = await client.GetConversationAsync(
"test-conversation-id",
"76710f1b-8231-42e5-b0d1-f43aac618e15"
);
// print the response
Console.WriteLine(response);// Initialize the client
final client = AgentStudioClient(
appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
final response = await client.getConversation(
conversationId: "test-conversation-id",
agentId: "76710f1b-8231-42e5-b0d1-f43aac618e15",
);
// print the response
print(response);// Initialize the client
client, err := agentStudio.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.GetConversation(client.NewApiGetConversationRequest(
"test-conversation-id", "76710f1b-8231-42e5-b0d1-f43aac618e15"))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
AgentStudioClient client = new AgentStudioClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
ConversationFullResponse response = client.getConversation("test-conversation-id", "76710f1b-8231-42e5-b0d1-f43aac618e15");
// print the response
System.out.println(response);// Initialize the client
const client = agentStudioClient('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
const response = await client.getConversation({
conversationId: 'test-conversation-id',
agentId: '76710f1b-8231-42e5-b0d1-f43aac618e15',
});
// print the response
console.log(response);// Initialize the client
val client = AgentStudioClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
var response =
client.getConversation(
conversationId = "test-conversation-id",
agentId = "76710f1b-8231-42e5-b0d1-f43aac618e15",
)
// print the response
println(response)// Initialize the client
$client = AgentStudioClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$response = $client->getConversation(
'test-conversation-id',
'76710f1b-8231-42e5-b0d1-f43aac618e15',
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use AgentStudioClient instead, which exposes the exact same methods.
client = AgentStudioClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.get_conversation(
conversation_id="test-conversation-id",
agent_id="76710f1b-8231-42e5-b0d1-f43aac618e15",
)
# print the response
print(response)# Initialize the client
client = Algolia::AgentStudioClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.get_conversation("test-conversation-id", "76710f1b-8231-42e5-b0d1-f43aac618e15")
# print the response
puts(response)// Initialize the client
val client = AgentStudioClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
val response = Await.result(
client.getConversation(
conversationId = "test-conversation-id",
agentId = "76710f1b-8231-42e5-b0d1-f43aac618e15"
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try AgentStudioClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
let response = try await client.getConversation(
conversationId: "test-conversation-id",
agentId: "76710f1b-8231-42e5-b0d1-f43aac618e15"
)
// print the response
print(response){
"agentId": "<string>",
"createdAt": "<string>",
"id": "<string>",
"messages": [
{
"conversationId": "<string>",
"createdAt": "<string>",
"id": "<string>",
"parts": [
{
"text": "<string>",
"type": "text"
}
],
"updatedAt": "<string>",
"inputTokens": 123,
"model": "<string>",
"outputTokens": 123,
"turnContext": {}
}
],
"updatedAt": "<string>",
"conversationMetadata": {
"cachedAt": "<string>"
},
"feedback": [
{
"agentId": "<string>",
"createdAt": "<string>",
"id": "<string>",
"messageId": "<string>",
"tags": [
"<string>"
],
"updatedAt": "<string>",
"vote": 123,
"model": "<string>",
"notes": "<string>"
}
],
"isFromDashboard": false,
"lastActivityAt": "<string>",
"messageCount": 0,
"title": "<string>",
"totalInputTokens": 0,
"totalOutputTokens": 0,
"totalTokens": 0,
"userToken": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}This is a beta feature according to Algolia’s Terms of Service (“Beta Services”).
logsAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Headers
The X-Algolia-Secure-User-Token.
Path Parameters
The agentId.
The conversationId.
Query Parameters
Include feedback for the conversation.
Response
Successful Response.
Response model for a conversation with all its messages.
Show child attributes
Show child attributes
Public metadata exposed on conversation responses.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on June 15, 2026
Was this page helpful?
⌘I